Bug 1575922 - RHVH 4.2 upgrade failed from 4.1 wrapper to wrapper
Summary: RHVH 4.2 upgrade failed from 4.1 wrapper to wrapper
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: imgbased
Version: 4.2.3
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ovirt-4.2.3-1
: ---
Assignee: Ryan Barry
QA Contact: Yaning Wang
URL:
Whiteboard:
: 1576915 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-08 09:55 UTC by Ying Cui
Modified: 2020-08-13 09:00 UTC (History)
16 users (show)

Fixed In Version: imgbased-1.0.16
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-11 06:56:53 UTC
oVirt Team: Node
Target Upstream Version:
peyu: testing_plan_complete+


Attachments (Terms of Use)
sosreport after wrapper to wrapper upgrade. (10.34 MB, application/x-xz)
2018-05-08 10:01 UTC, Ying Cui
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3440281 None None None 2018-05-11 01:40:39 UTC
Red Hat Product Errata RHSA-2018:1820 None None None 2018-06-11 06:57:31 UTC
oVirt gerrit 91052 'None' MERGED osupdater: Check filecmp when updating /etc 2020-09-14 12:52:41 UTC
oVirt gerrit 91057 'None' MERGED osupdater: Check filecmp when updating /etc 2020-09-14 12:52:41 UTC

Description Ying Cui 2018-05-08 09:55:26 UTC
Description of problem:
Wrapper to Wrapper upgrade failed.
Installed the released version rhvh-4.1-0.20180314.0(el7.4), updated the host to rhvh-4.1-0.20180410.0(el7.5), then updated the host to rhvh-4.2.3.0-0.20180507.0(el7.5), failed to upgrade by yum update.

# yum update 
<snip> 
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : redhat-virtualization-host-image-update-4.2-20180507.0.el7_5.noarch                                                                                                                             1/3 
warning: %post(redhat-virtualization-host-image-update-4.2-20180507.0.el7_5.noarch) scriptlet failed, exit status 1
Non-fatal POSTIN scriptlet failure in rpm package redhat-virtualization-host-image-update-4.2-20180507.0.el7_5.noarch
  Erasing    : redhat-virtualization-host-image-update-placeholder-4.1-10.5.el7.noarch                                                                                                                         2/3 
  Cleanup    : redhat-virtualization-host-image-update-4.1-20180410.1.el7_5.noarch                                                                                                                             3/3 
warning: file /usr/share/redhat-virtualization-host/image/redhat-virtualization-host-4.1-20180410.1.el7_5.squashfs.img.meta: remove failed: No such file or directory
warning: file /usr/share/redhat-virtualization-host/image/redhat-virtualization-host-4.1-20180410.1.el7_5.squashfs.img: remove failed: No such file or directory
Uploading Package Profile
  Verifying  : redhat-virtualization-host-image-update-4.2-20180507.0.el7_5.noarch                                                                                                                             1/3 
  Verifying  : redhat-virtualization-host-image-update-4.1-20180410.1.el7_5.noarch                                                                                                                             2/3 
  Verifying  : redhat-virtualization-host-image-update-placeholder-4.1-10.5.el7.noarch                                                                                                                         3/3 

Installed:
  redhat-virtualization-host-image-update.noarch 0:4.2-20180507.0.el7_5                                                                                                                                            

Replaced:
  redhat-virtualization-host-image-update-placeholder.noarch 0:4.1-10.5.el7                                                                                                                                        

Complete!
</snip>


Version-Release number of selected component (if applicable):
a.  rhvh-4.1-0.20180314.0
b.  rhvh-4.1-0.20180410.0
c.  rhvh-4.2.3.0-0.20180507.0

How reproducible:
100%


Steps to Reproduce:
1. Installed rhvh-4.1-0.20180314.0 successful.
2. Reboot after installation
3. Yum update to rhvh-4.1-0.20180410.0 successful.
4. Reboot after the update.
5. Login rhvh-4.1-0.20180410.0
6. Check nodectl status and imgbased 

# nodectl info
layers: 
  rhvh-4.1-0.20180314.0: 
    rhvh-4.1-0.20180314.0+1
  rhvh-4.1-0.20180410.0: 
    rhvh-4.1-0.20180410.0+1
bootloader: 
  default: rhvh-4.1-0.20180410.0+1
  entries: 
    rhvh-4.1-0.20180410.0+1: 
      index: 0
      title: rhvh-4.1-0.20180410.0
      kernel: /boot/rhvh-4.1-0.20180410.0+1/vmlinuz-3.10.0-862.el7.x86_64
     
 args: "ro crashkernel=auto rd.lvm.lv=rhvh/swap 
rd.lvm.lv=rhvh/rhvh-4.1-0.20180410.0+1 rhgb quiet LANG=en_US.UTF-8 
img.bootid=rhvh-4.1-0.20180410.0+1"
      initrd: /boot/rhvh-4.1-0.20180410.0+1/initramfs-3.10.0-862.el7.x86_64.img
      root: /dev/rhvh/rhvh-4.1-0.20180410.0+1
    rhvh-4.1-0.20180314.0+1: 
      index: 1
      title: rhvh-4.1-0.20180314.0
      kernel: /boot/rhvh-4.1-0.20180314.0+1/vmlinuz-3.10.0-693.21.1.el7.x86_64
     
 args: "ro crashkernel=auto rd.lvm.lv=rhvh/rhvh-4.1-0.20180314.0+1 
rd.lvm.lv=rhvh/swap rhgb quiet LANG=en_US.UTF-8 
img.bootid=rhvh-4.1-0.20180314.0+1"
      initrd: /boot/rhvh-4.1-0.20180314.0+1/initramfs-3.10.0-693.21.1.el7.x86_64.img
      root: /dev/rhvh/rhvh-4.1-0.20180314.0+1
current_layer: rhvh-4.1-0.20180410.0+1

# imgbase layout
rhvh-4.1-0.20180314.0
 +- rhvh-4.1-0.20180314.0+1
rhvh-4.1-0.20180410.0
 +- rhvh-4.1-0.20180410.0+1

# nodectl check
Status: OK
Bootloader ... OK
  Layer boot entries ... OK
  Valid boot entries ... OK
Mount points ... OK
  Separate /var ... OK
  Discard is used ... OK
Basic storage ... OK
  Initialized VG ... OK
  Initialized Thin Pool ... OK
  Initialized LVs ... OK
Thin storage ... OK
  Checking available space in thinpool ... OK
  Checking thinpool auto-extend ... OK
vdsmd ... OK

7. Yum update to version rhvh-4.2.3.0-0.20180507.0
8. Check
# imgbase w
You are on rhvh-4.1-0.20180410.0+1
# imgbase layout
rhvh-4.1-0.20180314.0
 +- rhvh-4.1-0.20180314.0+1
rhvh-4.1-0.20180410.0
 +- rhvh-4.1-0.20180410.0+1
rhvh-4.2.3.0-0.20180507.0
 +- rhvh-4.2.3.0-0.20180507.0+1
9. Reboot, still enter into the rhvh-4.1-0.20180410.0, NOT rhvh-4.2.3.0-0.20180507.0

Actual results:
After step 7, update failed.
 

Expected results:
4.1 wrapper to 4.2 upgrades successfully.


Additional info:

Comment 1 Ying Cui 2018-05-08 10:01:16 UTC
Created attachment 1433115 [details]
sosreport after wrapper to wrapper upgrade.

Comment 2 Huijuan Zhao 2018-05-09 03:16:30 UTC
This bug is fixed in redhat-virtualization-host-4.2-20180508.0.

Test version:
a.  rhvh-4.1-0.20180314.0
b.  rhvh-4.1-0.20180410.0
c.  rhvh-4.2.3.0-0.20180508.0
    imgbased-1.0.16-0.1.el7ev.noarch

Test steps:
Same as comment 0

Test results:
4.1 wrapper to 4.2 upgrades successfully.


So change the status to VERIFIED.

Comment 3 Sandro Bonazzola 2018-05-10 06:27:07 UTC
This bugzilla is included in oVirt 4.2.3 release, published on May 4th 2018.

Since the problem described in this bug report should be
resolved in oVirt 4.2.3 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.

Comment 4 Ryan Barry 2018-05-10 17:44:20 UTC
*** Bug 1576915 has been marked as a duplicate of this bug. ***

Comment 5 Sandro Bonazzola 2018-05-24 09:56:18 UTC
imgbased-1.0.16 has not been released in oVirt 4.2.3, reopening and moving to 4.2.4.

Comment 6 Marina Kalinin 2018-05-29 20:46:45 UTC
Need to update the kcs.
Here the problem is with insights. The logs will show errors with rsync /etc.
To resolve, "cp -rv /etc/redhat-access-insights/* /etc/insights-client"

Comment 8 cshao 2018-05-31 07:29:26 UTC
Test version:
a.  rhvh-4.1-0.20180314.0
b.  rhvh-4.1-0.20180410.0
c.  redhat-virtualization-host-4.2-20180530.1
    imgbased-1.0.17-0.1.el7ev.noarch

Test steps:
Same as comment 0

Test results:
4.1 wrapper to 4.2 upgrades successfully.


So change the status to VERIFIED.

Comment 11 Olimp Bockowski 2018-06-04 16:02:47 UTC
@Ryan can you take a look as well? 
I have a customer who can't boot to RHV 4.2 image, he installed rhvh-4.2.3.0-0.20180518.0:

I have found on RHV-M in var/log/ovirt-engine/host-deploy that an installation failed for post-installation script:
\nwarning: %post(redhat-virtualization-host-image-update-4.2-20180518.2.el7_5.noarch) scriptlet failed, exit status 1\n 

There is no imgbased.log so I can't check more details + a customer was quite disappointed and didn't have time so he reinstalled from ISO

Comment 16 errata-xmlrpc 2018-06-11 06:56:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1820

Comment 17 Franta Kust 2019-05-16 13:04:43 UTC
BZ<2>Jira Resync

Comment 18 Daniel Gur 2019-08-28 13:12:18 UTC
sync2jira

Comment 19 Daniel Gur 2019-08-28 13:16:31 UTC
sync2jira


Note You need to log in before you can comment on or make changes to this bug.